------------------------------------------------------------------------------------
--Name:  	ChildrenDay4
--Creator:	由剧情表现脚本编辑器生成
--Created:	2023-04-21
------------------------------------------------------------------------------------

CppScriptMgr:SetViewPosByCell(204, 206)
CppScriptMgr:SetViewScale(200)
local Player_1 = CppScriptMgr:AddSimplePlayer(1058207, 200, 202, "WickedTrainer", 0, 0)
Player_1:SetArmor(199255, 0, 1)
Player_1:SetHair(19, 1)
Player_1:SetZoomPercent(200)
Player_1:SetDir(7)
local Player_2 = CppScriptMgr:AddPlayer(950, 210, 212, "", 0, 0)
Player_2:SetDir(3)
CppScriptMgr:WaitMilSec(450)
Player_1:SetAction(170)
CppScriptMgr:NpcCallOut("I am the strongest trainer! Why don`t they admit the fact? A bunch of sanctimonious fools!", 1500, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc28985", 150, 430, "WickedTrainer", 250, 655, false)
CppScriptMgr:WaitMilSec(1500)
Player_2:SetAction(101)
CppScriptMgr:WaitMilSec(80)
CppScriptMgr:NpcCallOut("I won`t betray you, my lord! You own my pure fealty.", 1500, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc182", 150, 430, "EvilWyvern", 250, 655, false)
CppScriptMgr:WaitMilSec(1400)
Player_1:SetAction(230)
CppScriptMgr:NpcCallOut("Then will you do something for me?", 2000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc28985", 150, 430, "WickedTrainer", 250, 655, false)
CppScriptMgr:WaitMilSec(1500)
CppScriptMgr:NpcCallOut("Anything.", 1500, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc182", 150, 430, "EvilWyvern", 250, 655, false)
CppScriptMgr:WaitMilSec(1500)
CppScriptMgr:NpcCallOut("Eat me to become the strongest critter in the world! Then destroy everything!", 1500, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc28985", 150, 430, "WickedTrainer", 250, 655, false)
local Effect_1 = CppScriptMgr:AddEffect("Assassin", 200, 202, 33, 1, 1, 1)
Effect_1:Scale(1.5, 1.5, 1.5)
Player_1:SetAction(401)
CppScriptMgr:WaitMilSec(1440)
CppScriptMgr:ShakeScrEffect(1)
CppScriptMgr:WaitMilSec(2010)
local effect_1 = CppScriptMgr:AddEffect("irongate_superc", 210, 212, 33, 1, 1, 1)
effect_1:Scale(3, 3, 3)
ChangeNpcZoom(Player_2, 100, 200, 10, 66)
CppScriptMgr:WaitMilSec(990)
Player_1:SetAction(150)
CppScriptMgr:NpcCallOut("Hahahaha! You must be strong enough to destroy the whole Wild Yonder!", 1500, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc28985", 150, 430, "WickedTrainer", 250, 655, false)
CppScriptMgr:WaitMilSec(1550)
Player_1:SetAction(230)
CppScriptMgr:WaitMilSec(1450)
local Effect_3 = CppScriptMgr:AddEffect("zf2-e233", 200, 202, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(280)
Player_1:SetHide(1)
CppScriptMgr:WaitMilSec(720)
Player_2:SetDir(7)
CppScriptMgr:WaitMilSec(1000)
Player_2:SetAction(401)
CppScriptMgr:WaitMilSec(1050)
local effect_0 = CppScriptMgr:AddEffect("CartoonDisplay", 200, 202, 33, 1, 1, 1)
effect_0:Scale(1.5, 1.5, 1.5)
CppScriptMgr:WaitMilSec(1960)
local Player_4 = CppScriptMgr:AddPlayer(146, 196, 212, "", 0, 0)
Player_4:SetDir(7)
local Player_5 = CppScriptMgr:AddPlayer(146, 210, 198, "", 0, 0)
Player_5:SetDir(7)
local Player_6 = CppScriptMgr:AddPlayer(146, 206, 222, "", 0, 0)
Player_6:SetDir(7)
local Player_7 = CppScriptMgr:AddPlayer(146, 219, 208, "", 0, 0)
Player_7:SetDir(7)
local Player_8 = CppScriptMgr:AddPlayer(146, 209, 215, "", 0, 0)
Player_8:SetDir(7)
local Player_9 = CppScriptMgr:AddPlayer(146, 213, 211, "", 0, 0)
Player_9:SetDir(7)
CppScriptMgr:WaitMilSec(1180)
CppScriptMgr:ShakeScrEffect(1)
CppScriptMgr:NpcCallOut("Go, my boys! Destroy Wild Yonder!", 2000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc182", 150, 430, "EvilWyvern", 250, 655, false)
CppScriptMgr:WaitMilSec(490)
local Effect_4 = CppScriptMgr:AddEffect("ride_screen", 200, 202, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(1190)
Player_4:Say("Destroy!", 1000)
Player_5:Say("Destroy!", 1000)
Player_6:Say("Destroy!", 1000)
Player_7:Say("Destroy!", 1000)
Player_8:Say("Destroy!", 1000)
Player_9:Say("Destroy!", 1000)
CppScriptMgr:WaitMilSec(1750)